﻿@using PagedList;
@using PagedList.Mvc;
@model IPagedList<AHCBL.Dto.Admin.BoardListDto>
@{
    ViewBag.Title = "Board List";
}
<div class="xp-contentbar" style="margin-top:60px;">
    <div class="row">
        <!-- Start XP Col -->
        <div class="col-md-12 col-lg-12 col-xl-12">
            <div class="card m-b-30">
                <div class="card-header bg-white">
                    <div class="float-left">
                        <h5 class="card-title text-black">게시판관리 / การจัดการกระดานข่าว</h5>
                    </div>
                </div>
                <div class="col-md-12 col-lg-12 col-xl-12">
                    <div class="xp-alert mt-3">


                    </div>
                </div>
                <div class="card-body" style="margin-top:-20px;">
                    <div class="align-middle">
                        <span class="badge badge-primary badge-pill">생성된 게시판수 @ViewBag.Count 개</span>
                        <div class="float-right">
                            <button type="button" id="btnDel" style="margin-top:-10px;" class="btn btn-rounded btn-danger"><i class="icon-trash mr-2"></i> Delete</button>
                            <button type="button" style="margin-top:-10px;" class="btn btn-rounded btn-success" onclick="location.href='@Url.Action("Create", "BoardList")'"><i class="icon-plus mr-2"></i> Insert</button>
                        </div>
                    </div>
                    <div class="table-responsive m-b-30 mt-2">
                        <table class="table table-bordered">
                            <thead class="thead-dark">
                                <tr class="text-center">
                                    <th class="align-middle" style="width:50px;"><input type="checkbox" id="checkAll"></th>
                                    <th class="align-middle" style="width:120px;">그룹 / กลุ่ม</th>
                                    <th class="align-middle">TABLE / ตาราง</th>
                                    <th class="align-middle" style="width:170px;">스킨 / ชื่ผิวหนัง</th>
                                    <th class="align-middle" style="width:170px;">
                                        모바일
                                        스킨 / ผิวมือถือ
                                    </th>
                                    <th class="align-middle">제목 / หัวข้อ</th>
                                    <th class="align-middle" style="width:90px;">읽기P / อ่าน</th>

                                    <th class="align-middle" style="width:90px;">쓰기P / เขียน </th>
                                    <th class="align-middle" style="width:90px;">댓글P / ความคิดเห็น</th>
                                    <th class="align-middle" style="width:90px;">다운P / ลง </th>
                                    <th class="align-middle" style="width:100px;">
                                        SNS
                                        사용 / การ
                                        ใช้SNS
                                    </th>
                                    <th class="align-middle" style="width:100px;">
                                        검색
                                        사용 / ใช้การค้นหา
                                    </th>
                                    <th class="align-middle" style="width:100px;">
                                        출력
                                        순서 / ลำดับของเอาต์พุต
                                    </th>
                                    <th class="align-middle" style="width:170px;">접속기기 / อุปกรณ์เชื่อมต่อ</th>
                                    <th class="align-middle" style="width:120px;">관리 / การจัดการ</th>
                                </tr>
                            </thead>
                            <tbody>
                                @if (Model != null && Model.Count() != 0)
                                {
                                    foreach (var item in Model)
                                    {
                                        <tr class="text-center">
                                            <td> @Html.CheckBox("templateId", new { value = item.id, @class = "checkBox" })</td>
                                            <td> @Html.DropDownListFor(modelItem => item.grp_id, new SelectList(ViewBag.grp_id, "Value", "Text", item.grp_id), "선택", new { @class = "form-control bg-white border" })</td>
                                            <td> @Html.DisplayFor(modelItem => item.bo_table)</td>
                                            <td> @Html.DropDownListFor(modelItem => item.skin_id, new SelectList(ViewBag.skin_id, "Value", "Text", item.skin_id), "선택", new { @class = "form-control bg-white border" }) </td>
                                            <td> @Html.DropDownListFor(modelItem => item.skin_mobile_id, new SelectList(ViewBag.skin_mobile_id, "Value", "Text", item.skin_mobile_id), "선택", new { @class = "form-control bg-white border" }) </td>
                                            <td> @Html.EditorFor(modelItem => item.bo_subject, new { htmlAttributes = new { @class = "form-control bg-white border" } })</td>
                                            <td> @Html.DisplayFor(modelItem => item.read_point)</td>
                                            <td> @Html.DisplayFor(modelItem => item.write_point)</td>
                                            <td> @Html.DisplayFor(modelItem => item.comment_point)</td>
                                            <td> @Html.DisplayFor(modelItem => item.download_point)</td>
                                            <td> @Html.CheckBoxFor(modelItem => item.use_sns)</td>
                                            <td> @Html.CheckBoxFor(modelItem => item.use_search)</td>
                                            <td> @Html.DisplayFor(modelItem => item.bo_order)</td>
                                            <td> @Html.DropDownListFor(modelItem => item.device_id, new SelectList(ViewBag.device_id, "Value", "Text", item.device_id), new { @class = "form-control bg-white border" }) </td>
                                            <td>
                                                <div class="justify-content-center row">
                                                    @using (Html.BeginForm("Edit", "BoardList", new { id = item.id }, FormMethod.Get))
                                                    {
                                                        <button type="submit" class="btn btn-round btn-primary" style="float: none; margin: 5px;" title="수정">
                                                            <span class="icon-note"></span>
                                                        </button>
                                                    }
                                                    <button type="button" onclick="addamount('@Html.DisplayFor(modelItem => item.id)');" class="btn btn-round btn-primary" style="float: none; margin: 5px;" title="복사">
                                                        <span class="icon-docs"></span>
                                                    </button>
                                                </div>
                                            </td>
                                        </tr>

                                    }
                                }
                                else
                                {
                                    <tr class="text-center">
                                        <td colspan="15">
                                            No Data !!
                                        </td>
                                    </tr>
                                }
                            </tbody>
                        </table>
                        @{
                            if (Convert.ToInt32(ViewBag.Count) > ViewBag.rows)
                            {
                                <div class="justify-content-center row">

                                    @Html.PagedListPager(Model, Page => Url.Action("Index", "BoardList", new { Page }))

                                </div>
                            }
                        }
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script>
    $(function () {
        $("#liBoard").addClass("active");
        $("#meBoard").addClass("active");

        $("#checkAll").click(function () {
            $(".checkBox").prop('checked',
                $(this).prop('checked'));
        });
        $("#btnDel").click(function () {
            var data = new Array();
            $('input:checkbox.checkBox').each(function () {
                if ($(this).prop('checked')) {
                    data.push($(this).val());
                }
            });
            //alert(selectedIDs); return;
            if (data == null || data == "") {
                alert("Please select at least 1 item.");
                return;
            }
            var options = {};
            options.url = "/BoardList/Delete";
            options.type = "POST";
            options.data = JSON.stringify(data);
            options.contentType = "application/json";
            options.dataType = "json";
            options.success = function (msg) {
                alert(msg);
                location.reload();
            };
            options.error = function () {
                alert("Error while deleting the records!");
            };
            $.ajax(options);

        });
    });
</script>

